:root {
    font-size: 10px;

    --space-1: 0.4rem;  /* 4 */
    --space-2: 0.8rem;  /* 8 */
    --space-3: 1.2rem;  /* 12 */
    --space-4: 1.6rem;  /* 16 */
    --space-5: 2rem;    /* 20 */
    --space-6: 2.4rem;  /* 24 */
    --space-8: 3.2rem;  /* 32 */
    --space-10: 4rem;    /* 40 */
    --space-12: 4.8rem;  /* 48 */

    --radius-sm: 0.8rem;
    --radius-md: 1.4rem;
    --radius-lg: 2rem;

    /* MAIN COLORS */
    --primary:rgb(34, 40, 49);
    --primary-2:rgb(57, 62, 70);
    --primary-3: rgb(0, 173, 181);
    --primary-4: rgb(238, 238, 238);
    
    --primary-darker-1:#1b2027;
    --primary-darker-2:#14181d;
    --primary-darker-3:#0e1014;
    --primary-darker-4:#07080a;
    --primary-lighter-1: #4e535a;
    --primary-lighter-2: #7a7e83;
    --primary-lighter-3: #a7a9ad;
    --primary-lighter-4: #d3d4d6;

    --primary-2-darker-1:#2e3238;
    --primary-2-darker-2:#22252a;
    --primary-2-darker-3:#17191c;
    --primary-2-darker-4:#0b0c0e;
    --primary-2-lighter-1:#61656b;
    --primary-2-lighter-2:#888b90;
    --primary-2-lighter-3:#b0b2b5;
    --primary-2-lighter-4:#d7d8da;

    --primary-3-darker-1:#008a91;
    --primary-3-darker-2:#00686d;
    --primary-3-darker-3:#004548;
    --primary-3-darker-4:#002324;
    --primary-3-lighter-1:#33bdc4;
    --primary-3-lighter-2:#66ced3;
    --primary-3-lighter-3:#99dee1;
    --primary-3-lighter-4:#cceff0;

    --primary-4-darker-1:#bebebe;
    --primary-4-darker-2:#8f8f8f;
    --primary-4-darker-3:#5f5f5f;
    --primary-4-darker-4:#303030;
    --primary-4-lighter-1:#f1f1f1;
    --primary-4-lighter-2:#f5f5f5;
    --primary-4-lighter-3:#f8f8f8;
    --primary-4-lighter-4:#fcfcfc;
    
    /* background */
    --primary-background-1:rgb(34, 40, 49);
    --primary-background-2:#2e3238;
    /* Text */
    --primary-text-color:rgb(238, 238, 238);
    
    /* Surface */

    /* Borders */

    /* Links */
    --link: #08747A;
    --link-hover: #055B60;

    /* Shadow */
    --shadow-sm: 0 2px 8px var(--primary-3-lighter-2);
    --shadow-md: 0 8px 24px var(--primary-3-lighter-2);
    --shadow-lg: 0 16px 40px var(--primary-3-lighter-2);
    --shadow-dark-sm: 0 2px 8px var(--primary-darker-2);
    --shadow-dark-md: 0 8px 24px var(--primary-darker-2);
    --shadow-dark-lg: 0 16px 40px var(--primary-darker-2);

    /* Status */
    --success: #278A65;
    --warning: #C98420;
    --danger: #C84A4A;
    --info: #277F9D;
}

@font-face {
  font-family: "byekan";
  src: url("../assets/fonts/BYekan.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    direction: rtl;
}


body {
    margin: 0;

    min-height: 100dvh;

    font-size: 1rem;
    line-height: 1.6;

    color: var(--primary-text-color);

    background: linear-gradient(to top, rgb(34, 40, 49, 0.97),
                rgba(34, 40, 49, 0.97)),
                url("../assets/images/back1.jpg") top center;
    
    background-size: cover;
    background-position: 35% center;
    background-repeat:repeat-y;

    font-family: "byekan", Arial, Helvetica, sans-serif;

    display: grid;
    place-items: center;

}

label {
    font-family: "byekan", Arial, Helvetica, sans-serif;
}

dialog {
    border: none;
    padding: 0;
    background: transparent;
}

input,
select,
textarea {
    font-family: "byekan", Arial, Helvetica, sans-serif;
    width: 100%;

    padding-inline: var(--space-4);

    font-size: 1.4rem;

    color: var(--text-primary);

    background: var(--primary-2-lighter-1);

    border: none;

    border-radius: var(--radius-sm);

}


input:focus,
select:focus,
textarea:focus {
    outline: none;
    border:1px solid var(--primary-3-darker-1);
    
}

select option{
    background-color:var(--primary-2-lighter-2);
}

fieldset {
    border: 1px solid var(--primary-darker-4);
    border-radius: var(--radius-sm) !important;
    box-shadow: var(--shadow-dark-sm);
}

button {
    font-family: "byekan", Arial, Helvetica, sans-serif;
    background-color: transparent;

    border-radius: var(--radius-sm);

    color: var(--text-on-primary);

    cursor: pointer;
    box-shadow: none;
    border: none;
}

a {
    text-decoration: none;
}

.glassy-blured-bg {
    /* Transparent glass surface */
    
    backdrop-filter: blur(18px) saturate(130%);
    -webkit-backdrop-filter: blur(18px) saturate(140%);
    border-radius: var(--border-radius-2);
}


/* pagination */
.pagination {
    margin-top:var(--space-8);
    display: flex;
    align-items: center;
    justify-content: center;
}
.pagination button {
    width: 8rem;
    height: 3rem;

    font-family: "byekan", Arial, Helvetica, sans-serif;
    font-weight: 400;
    font-size: 1.4rem;
    
    border: none;
    border-radius: var(--radius-md);
    background: var(--primary-3-darker-2);

    text-align: center;
    
    padding: 0 var(--space-2);
    margin:var(--space-2)
}

.pagination button:hover,
.pagination button:active{
    background: var(--primary-3-darker-1);
}

.pagination span{
    font-family: "byekan", Arial, Helvetica, sans-serif;
    font-weight: 400;
    font-size: var(--font-size-1);
    color: var(--color9);
    color:var(--color9)
}
/* ------------------------------------------------------------------ */
/*-------------------------  header menu -----------------------------*/
/* ------------------------------------------------------------------ */

/* hamburger menu button */
.ham-menu-btn{
  width: 4.2rem;
  height: 4.2rem;
  background-color: none;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  cursor: pointer;
}
.ham-menu-btn > .btn__line{
  width: 3.2rem;
  height: 0.3rem;
  background-color: #fff;
  border-radius: 1rem;
  position: absolute;
  transition: transform .4s ease;
}
.ham-menu-btn > .btn__line--top{
  transform: translateY(-1rem);
  width: 2.4rem;
}
.ham-menu-btn > .btn__line--bottom{
  transform: translateY(1rem);
  width: 2.4rem;
}
/* ------------ ANIMATION ---------- */
.active > .btn__line--center{
  transform: translateX(-5rem);
}
.active > .btn__line--top{
  transform: translateY(0) rotate(45deg);
}
.active > .btn__line--bottom{
  transform: translateY(0) rotate(-45deg);
}
.active{
  background-color: transparent;
  border-radius: var(--radius-sm);
}
.active > .btn__line{
  background-color: var(--primary-3-lighter-1);
}

/* --------------------------- nav menu -------------------- */
/* admin navigation */
.admin-page-header div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}
.admin-page-header h1 {
    font-size: 2.2rem;
}

.admin-page-header p {
    text-align: center;

    font-size: 1.6rem;

    color:var(--warning)
}

.admin-navigation {
    margin-top: var(--space-2);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(14rem, 1fr));
    column-gap: var(--space-2);
    row-gap: var(--space-4);
}

.admin-navigation a{
    font-size: 1.6rem;
    text-decoration: none;
    color:var(--primary-lighter-4);
    background-color: var(--primary-3-darker-3);

    text-align: center;

    padding:var(--space-2) var(--space-4);
    border-radius: var(--radius-lg);
}

.admin-navigation .active-navigation-link {
    background-color: var(--primary-3-darker-1);
}

.application-header {
    position: fixed;

    top: 0;
    left: 0;
    right: 0;

    width: 100%;
    margin: 0;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: var(--space-2);

    z-index: 1000;
}
.application-user-actions {
    position: relative;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.application-header nav {
    position: relative;
}

.application-navigation {
    position: absolute;

    top: var(--space-12);
    right: 5%;

    width: 20rem;
    min-height: 12.8rem;

    background-color: var(--primary-2-darker-1);

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-evenly;

    padding: var(--space-1) var(--space-4);

    border-radius: var(--radius-sm);

    box-shadow: var(--shadow-sm);
    z-index: 1001;
}

.application-navigation a:link,
.application-navigation a:visited,
.profile-menu-container span,
.profile-menu-container button{
    width: 100%;
    color:var(--text-on-primary);
    font-size: 1.7rem;
    text-align: right;
}
.application-navigation a:hover,
.application-navigation a:active,
.profile-menu-container span:hover,
.profile-menu-container span:focus,
.profile-menu-container button:hover,
.profile-menu-container button:focus-within{
    border-radius: 0;
    color: var(--primary-3-lighter-1);
    border-bottom: 2px solid var(--primary-3-darker-2);
}
/* ----------------------------- profile menu --------------------- */

.profile-icon-container img {
    width: 3.2rem;
    height: 3.2rem;
}


.profile-menu-container {
    position: absolute;

    top: var(--space-12);
    left: 0.8rem;

    width: 20rem;
    min-height: 12.8rem;

    background-color:var(--primary-2-darker-1);

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-evenly;

    padding: var(--space-1) var(--space-4);

    border-radius: var(--radius-sm);

    box-shadow: var(--shadow-sm);

    z-index: 1001;
}


/* ---------------------------------------------------------------- */
/* ----------------------------- GENERALS ------------------------- */
/* ---------------------------------------------------------------- */
/* sliding check box */
input[type='checkbox'] {
    --s: var(--space-4); /* adjust this to control the size*/

    --_g: radial-gradient(calc(var(--s)/2),#15202a 96%,#0000); /* the color of the circle here */
    height: var(--s);
    aspect-ratio: 2.5;
    width: auto; /* some browsers need this */
    border-radius: var(--s);
    padding: calc(var(--s)/10);
    margin: calc(var(--s)/2);
    display: grid;
    cursor: pointer;
    background: 
        var(--_g) var(--_p,0%) 50%/var(--s) 33% no-repeat content-box,
        #ff7a7a; /* the red color */
    box-sizing: content-box;
    overflow: hidden;
    transition: .3s .1s;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="checkbox"]:before,
input[type="checkbox"]:after{
  content: "";
  grid-area: 1/1;
  clip-path: inset(0 0 65% 0);
  transition: .3s;
  background: var(--_g) var(--_p,0%)/var(--s) 100% no-repeat;
}
input[type="checkbox"]:after {
  transition: .3s .2s;
  clip-path: inset(65% 0 0 0);
}
input[type="checkbox"]:checked {
  background-color: #85ff7a; /* the green color */
  --_p: 100%;
}


/* وقتی دیالوگ باز شد؛ اسکرول صفحه اصلی قفل شود */
body.dialog-open {
    overflow: hidden;
}

/* over lay menu */
.menu-overlay {
    position: fixed;
    inset: 0;

    background: rgba(255, 255, 255, 0.005);

    backdrop-filter: blur(10px) saturate(170%);
    

    opacity: 0;
    visibility: hidden;

    transition:
        opacity 0.25s ease,
        visibility 0.25s ease;

    z-index: 900;
}

.menu-overlay.visible {
    opacity: 1;
    visibility: visible;
}

.main-container {
    width: min(100% - 2rem, 75rem);
    height: 100%;

    border-radius: var(--radius-lg);

    margin-inline: auto;
    margin-top: 12rem;

    overflow-x: hidden;
}
h1 {
    text-align: center;
    font-size: 2.8rem;
    font-weight: 600;
    color:var(--primary-3-lighter-4);
    text-shadow: var(--shadow-sm);
    text-decoration-line: underline;
    text-decoration-color: var(--primary-3-darker-1);
    text-underline-offset: var(--space-6);
    text-decoration-thickness: 0.3rem;
}

.hidden {
    display: none;
}


@media (min-width: 640px){
    body {
    margin: 0;

    min-height: 100dvh;

    font-size: 1rem;
    line-height: 1.6;

    color: var(--primary-text-color);

    background: linear-gradient(to top, rgb(34, 40, 49, 0.97),
                rgba(34, 40, 49, 0.99)),
                url("../assets/images/back1.jpg") top center;
    
    background-size:auto;
    
    background-repeat: repeat;

    }
}

@media (min-width: 920px) {

    .application-header{
        position: fixed;

        top: var(--space-2);
        left:0;
        right: 0;

        width: auto;
        height: 4.2rem;

        margin: 0;

        display: flex;
        align-items: center;
        justify-content: space-between;

        background: var(--primary-2-darker-1);
        
        z-index: 1000;
    }

    .ham-menu-btn {
        display: none;
    }

    .application-navigation {
        position: static;

        width: auto;
        min-height: auto;

        margin: 0 var(--space-4);
        padding: 0 ;
        
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;

        background: transparent;
        box-shadow: none;
    }

    .profile-icon-container{
        display: none;
    }

    .profile-menu-container{
        position: static;
        
        width: 42rem;
        height: 100%;
        min-height: auto;
        margin: 0;
        padding: 0;

        display: flex;
        flex-direction: row;
        align-items: center;
        
        justify-content: flex-end;

        background:transparent;
        
        box-shadow: none;
        z-index: auto;
    }

    .main-container {
        margin-top: 8rem;
    }

    .profile-menu-container span{
        font-size: 1.4rem;
        color:var(--primary-4-lighter-4);
        display: flex;
        align-items: center;
        
        text-align: center;
        height: 100%;
        min-width: 18rem;
    }

    .profile-menu-container span:hover,
    .profile-menu-container span:focus{
        background-color: none;
        border:none;
        color:var(--primary-4-lighter-4);

    }
    .profile-menu-container button{
        width: 20rem;
        padding: var(--space-1);
        color:var(--text-on-primary);
        font-size: 1.8rem;
        font-weight: 400;
        text-align: center;
    }

    .application-navigation a{
        min-width: 8rem;
    }

    .application-navigation a:link,
    .application-navigation a:visited{
        padding: var(--space-1) var(--space-1);
        color:var(--text-on-primary);
        font-size: 1.8rem;
        font-weight: 400;
        text-align: center;
    }
    .application-navigation a:hover,
    .application-navigation a:active,
    .profile-menu-container button:hover,
    .profile-menu-container button:focus-within,
    .active-navigation-link{
        border-top-left-radius: var(--radius-sm);
        border-top-right-radius: var(--radius-sm);
        color: var(--primary-3-lighter-1);
        border-bottom: 1px solid var(--primary-3-darker-1);
        background-color: var(--primary-3-darker-2);
    }

    .profile-menu-container strong {
        color:var(--primary-3)
    }

}

